| Class Specialization Packed Triple Stores three arbitrary objects. Saves memory by disabling memory alignment.
Triple
Packed Triple
Triple<T1, T2, T3, Pack> Include Headers seqan/basic.h Parameters
T1 | The type of the first object.
T2 | The type of the second object.
T3 | The type of the third object.
Remarks Memory access could be slower. Direct access to members by pointers is not allowed on all platforms. Specialization of Triple Metafunctions
LENGTH | Number of elements in a fixed-size container. (Triple)
Spec | The spec of a class. (Triple)
Value | Type of the items in the container or behind an iterator. (Triple)
Data Members
i1 | T1 object
i2 | T2 object
i3 | T3 object
Member Functions
Triple | Constructor
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00